/* cairo - a vector graphics library with display and print output
 *
 * Copyright © 2009 Chris Wilson
 *
 * "The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and
 * limitations under the License.
 *
 * The Original Code is the cairo graphics library.
 *
 * The Initial Developer of the Original Code is Chris Wilson
 *
 * Contributor(s):
 *	Chris Wilson <chris@chris-wilson.co.uk>
 *
 * Alternatively, the contents of this file may be used under the terms
 * of the _____ license (the  "[___] License"), in which case the
 * provisions of [______] License are applicable instead of those
 * above. If you wish to allow use of your version of this file only
 * under the terms of the [____] License and not to allow others to use
 * your version of this file under the MPL, indicate your decision by
 * deleting the provisions above and replace them with the notice and
 * other provisions required by the [___] License. If you do not delete
 * the provisions above, a recipient may use your version of this file
 * under either the MPL or the [___] License."
 *
 * NOTE: The text of this Exhibit A may differ slightly from the text
 * of the notices in the Source Code files of the Original Code. You
 * should use the text of this Exhibit A rather than the text found in
 * the Original Code Source Code for Your Modifications. 
 */

#ifndef CAIRO_XML_H
#define CAIRO_XML_H

#include "cairo.h"

#if CAIRO_HAS_XML_SURFACE

CAIRO_BEGIN_DECLS

cairo_public cairo_device_t *
cairo_xml_create (const char *filename);

cairo_public cairo_device_t *
cairo_xml_create_for_stream (cairo_write_func_t	 write_func,
			     void		*closure);

cairo_public cairo_surface_t *
cairo_xml_surface_create (cairo_device_t *xml,
			  cairo_content_t content,
			  double width, double height);

cairo_public cairo_status_t
cairo_xml_for_recording_surface (cairo_device_t *xml,
				 cairo_surface_t *surface);

CAIRO_END_DECLS

#else  /*CAIRO_HAS_XML_SURFACE*/
# error Cairo was not compiled with support for the XML backend
#endif /*CAIRO_HAS_XML_SURFACE*/

#endif /*CAIRO_XML_H*/
